0.0.7 • Published 5 years ago

postcss-importantly v0.0.7

Weekly downloads
325
License
MIT
Repository
github
Last release
5 years ago

postcss-importantly

PostCSS plugin to add !important for every declaration.

Why do I need this?

The best way to isolate your CSS is to give maximum weight for your declarations. Adding !important is the easiest way for it.

Installation

Run npm install postcss-importantly --save-dev

In your Gulpfile use this command to process stylesheet:

gulp.src('app/*.css')
  .pipe $.postcss [require('postcss-importantly')]
  .pipe gulp.dest('.dist')

Note that plugin ignores @-rules (such as @font-face and @keywords) due to lack in browser support.

0.0.7

5 years ago

0.0.6

5 years ago

0.0.5

5 years ago

0.0.4

6 years ago

0.0.3

6 years ago